Subject: Re: [PATCH] add reg and stack dump to booke WD handler

From: Dave Jiang <[email-masked]>
Date: Fri, 13 Apr 2007 13:26:25 -0700

Kumar Gala wrote:
>
> On Apr 13, 2007, at 3:06 PM, Dave Jiang wrote:
>
>> Have the booke watchdog dump some useful information when triggered. 
>> Hopefully
>> that'll give the user some hint of what happened rather than just a 
>> mysterious
>> reboot.
>
> Forgot the signed-off-by again (git-commit -s)
>
I need to stop doing that! Grrrrr....

>> -- 
>>
>>  Ok here's try 2. Modified the watchdog driver instead per Sergei's 
>> suggestion.
>
> I'm against having a WatchdogHandler in booke_wdt.c.  The idea behind 
> the weak symbol in traps.c is to allow platform code to override the 
> behavior.  I'm ok if we put the spew in the generic case.
>
Ok, I will put it back in the generic handler.

> Also, how are you testing this?
I just stop the userland watchdog daemon and the watchdog timeout kicks 
in. Of course I could also write a kernel module that takes a spinlock 
and spin.... I tested on the MPC8548 and seems to work as expected.